<?php
/*
Plugin Name: Allergens list
Plugin URI:  http://wpdemo.dovi42.hu/allergens-list-en
Description: Allergens list in WooCommerce product 
Version:     1.03
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: allergens-list
Generator:   WP Creator - http://wpcreator.hu - 2020-10-26 08:56:47
*/

if ( !defined( 'ABSPATH' ) ) exit;

if (!defined('DS')) { define( 'DS', DIRECTORY_SEPARATOR ); }

define('ALLERGENS_LIST_910_ROOT', dirname(__FILE__));

function allergens_list_910_get_options() { 

	// Beállított értékek beolvasása
	// Get the set plugin option values
	$options = get_option('allergens_list_options');

	return $options;
}


function allergens_list_910_load_textdomain() {
    load_plugin_textdomain( 'allergens-list', false, basename( dirname( __file__ )) . '/languages' ); 
}
add_action( 'plugins_loaded', 'allergens_list_910_load_textdomain' );


function allergens_list_910_activation() {
    // A plugin aktiválásakor fut le
    // Call when plugin is activated
    
	// Alapértelmezett értékek beállítása
	// Set default value(s) to options
	$options = allergens_list_910_get_options();

    if (empty($options)) {
        load_plugin_textdomain( 'allergens-list', false, basename( dirname( __file__ )) . '/languages' );
        $options = array(
                'peanuts' => array(
                        'title' => __('Peanuts', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/peanuts.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'nuts' => array(
                        'title' => __('Nuts', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/nuts.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'crustaceans' => array(
                        'title' => __('Crustaceans', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/crustaceans.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'molluscs' => array(
                        'title' => __('Molluscs', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/molluscs.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'fish' => array(
                        'title' => __('Fish', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/fish.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'eggs' => array(
                        'title' => __('Eggs', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/eggs.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'milk' => array(
                        'title' => __('Milk', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/milk.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'gluten' => array(
                        'title' => __('Gluten', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/gluten.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'soya' => array(
                        'title' => __('Soya', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/soya.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'sesame' => array(
                        'title' => __('Sesame', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/sesame.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'celery' => array(
                        'title' => __('Celery', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/celery.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'mustard' => array(
                        'title' => __('Mustard', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/mustard.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'lupin' => array(
                        'title' => __('Lupin', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/lupin.png', ALLERGENS_LIST_910_ROOT )
                    ),
                'sulphur' => array(
                        'title' => __('Sulphur', 'allergens-list'),
                        'icon'  => plugins_url( 'allergens-list/assets/icons/sulphur.png', ALLERGENS_LIST_910_ROOT )
                    )
                    
            );
        }
	update_option('allergens_list_options', $options, true);
    
}
register_activation_hook( __file__, 'allergens_list_910_activation' );

function allergens_list_910_uninstall() {
    // A plugin törlésekor fut le
    // Call when plugin is uninstall
	delete_option('allergens_list_options');
}
register_uninstall_hook( __file__, 'allergens_list_910_uninstall' );

if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    define('ALLERGENS_LIST_910_WOOCOMMERCE_ACTIVE', 1);
} else {
    define('ALLERGENS_LIST_910_WOOCOMMERCE_ACTIVE', 0);
}



if ( is_admin() ){ 
    
    if (ALLERGENS_LIST_910_WOOCOMMERCE_ACTIVE) {

        if ( ! class_exists( 'WC_allergens_list_plugin' ) ) {
        
            class WC_allergens_list_plugin {
        
                public function __construct() {
                    add_action( 'plugins_loaded', array( $this, 'init' ) );
                }
            
                public function init() {
                    if ( class_exists( 'WC_Integration' ) ) {
                        include( dirname(__file__) .DIRECTORY_SEPARATOR. 'libs' .DIRECTORY_SEPARATOR. 'class.php' );
                        add_filter( 'woocommerce_integrations', array( $this, 'add_integration' ) );
                    }
                }
            
                public function add_integration( $integrations ) {
                    $integrations[] = 'allergens_list_910_settings';
                    return $integrations;
                }
            }
            $WC_allergens_list_plugin = new WC_allergens_list_plugin( __FILE__ );
        }

        require_once ALLERGENS_LIST_910_ROOT .DS. 'libs' .DS. 'woo-admin.php';
        
    }
    
} else {
    if (ALLERGENS_LIST_910_WOOCOMMERCE_ACTIVE) {
        require_once ALLERGENS_LIST_910_ROOT .DS. 'libs' .DS. 'hooks.php';    
        require_once ALLERGENS_LIST_910_ROOT .DS. 'libs' .DS. 'woo.php';
    }    
}

// Add settings link to plugins page 
function allergens_list_910_add_settings_link( $links ) {
    if (ALLERGENS_LIST_910_WOOCOMMERCE_ACTIVE) {
        $settings_link = '<a href="admin.php?page=wc-settings&tab=integration&section=allergens_list">' . __( 'Settings' ) . '</a>';
    } else {
        $settings_link = '<span style="color:#a00;">' . __( 'The plugin needs the WooCommerce plugin!', 'allergens-list' ) . '</span>';
    }
    array_unshift( $links, $settings_link );
  	return $links;
}
$plugin = plugin_basename( __file__ );
add_filter( "plugin_action_links_$plugin", 'allergens_list_910_add_settings_link' );

function allergens_list_910_styles_and_scripts_to_backend()
{
    $langs = array(
            'title'  => __('Title', 'allergens-list'),
            'icon'   => __('Icon url', 'allergens-list'),
            'save'   => __('Save', 'allergens-list'),
            'cancel' => __('Cancel', 'allergens-list')
        );
    
    wp_register_style( 'allergens-list-admin-css', plugins_url( 'allergens-list/assets/css/allergens-list-admin.css', ALLERGENS_LIST_910_ROOT ) );
	wp_enqueue_style(  'allergens-list-admin-css' );
	wp_enqueue_script('jquery-ui-sortable', '', array('jquery'));
    wp_register_script('allergens-list-admin-js', plugins_url( 'allergens-list/assets/js/allergens-list-admin.js', ALLERGENS_LIST_910_ROOT ), array('jquery'));
    wp_localize_script('allergens-list-admin-js', 'allergens_list_910_langs', $langs);
	wp_enqueue_script( 'allergens-list-admin-js');
}

