var allergens_list_910_moved = false;

jQuery(document).ready(function() {
    jQuery('.sortable' ).sortable({
        placeholder: 'ui-state-highlight',
        forcePlaceholderSize: true,
        items: 'li:not(.sort-disabled)',
        start: function(e, ui) { 
            ui.placeholder.css({
                'visibility' : 'visible',
                'background-color' : '#FFFFD6'
            });
            allergens_list_910_moved = true;
        },
        stop:  function (event, ui) {
            allergens_list_910_save_sortable();
        }
    }).disableSelection();
    allergens_list_910_save_sortable();
});

function allergens_list_910_save_sortable() {
    var list = [];
    jQuery('#allergens-items').children('li').each(function( index ) {
        var item = {
                id:    jQuery(this).attr('id'),
                title: jQuery(this).find('.allergen-title:first').html(),
                icon:  jQuery(this).find('.allergen-icon:first').attr('src')
            };
        list.push(item);
    });
    list = JSON.stringify(list);
    jQuery('#woocommerce_allergens_list_sorted_items').val(list);
}

function allergens_list_910_check_disabled() {
    if (jQuery('#allergen_title').val() != '') {
        jQuery('#allergen_save_button').prop('disabled', false);
    } else {
        jQuery('#allergen_save_button').prop('disabled', true);
    }
}


function allergens_list_910_init_box(id, title, icon) {
    var html = 
            '<div id="messageBox" class="messageBox">' +
                '<input id="allergen_id" type="hidden" value="'+id+'" />' +
                '<table>' +
                '<tr>' + 
                    '<td align="right">' +
                        '<label for="allergen_title">'+allergens_list_910_langs.title+'</label>' +
                    '</td>' +
                    '<td align="left">' +
                        '<input id="allergen_title" name="allergen_title" type="text" value="'+title+'" onkeyup="allergens_list_910_check_disabled();" />' +
                    '</td>' +
                '</tr>' +
                '<tr>' + 
                    '<td align="right">' +
                        '<label for="allergen_icon">'+allergens_list_910_langs.icon+'</label>' +
                    '</td>' +
                    '<td align="left">' +
                        '<input id="allergen_icon" name="allergen_icon" type="text" value="'+icon+'" style="width: 240px;"/>' +
                    '</td>' +
                '</tr>' +
                '<tr>' +
                    '<td colspan="2" style="text-align:center">' + 
                        '<button onclick="allergens_list_910_save();" id="allergen_save_button" class="button button-primary" disabled="disabled">'+allergens_list_910_langs.save+'</button>&nbsp;' +
                        '<button onclick="allergens_list_910_cancel();" class="button">'+allergens_list_910_langs.cancel+'</button>' +
                    '</td>' +
                '</tr>' + 
                '</table>' +
            '</div>';
    return html;
}

function allergens_list_910_save() {
    var id    = jQuery('#allergen_id').val();
    var title = jQuery('#allergen_title').val();
    var icon  = jQuery('#allergen_icon').val();
    if (id == '') {
        id = title.replace(/[^a-zA-Z0-9]/g, '');
        id = id.toLowerCase();
        var html = '<li id="'+id+'" onclick="allergens_list_910_edit(jQuery(this));">' +
                   '<img src="'+icon+'" class="allergen-icon" />' +
                   '<span class="allergen-title">'+title+'</span>' +
                   '<span onclick="allergens_list_910_delete(jQuery(this));"" class="dashicons dashicons-trash"></span>' +
                   '</li>';
        jQuery('#allergens-items').append(html);
    } else {
        var item = jQuery('#'+id);
        item.find('.allergen-title:first').html(title);
        item.find('.allergen-icon').attr('src', icon);
    }
    allergens_list_910_cancel();
    allergens_list_910_save_sortable();
}

function allergens_list_910_edit(item) {
    if (allergens_list_910_moved) {
        allergens_list_910_moved = false;
    } else {
        var id    = item.attr('id');
        var title = item.find('.allergen-title:first').html();
        var icon  = item.find('.allergen-icon').attr('src');

        allergens_list_910_showOverlay();
        var html = allergens_list_910_init_box(id, title, icon);
        allergens_list_910_show_message_box(html);
        allergens_list_910_check_disabled();
    }
}

function allergens_list_910_delete(item) {
    allergens_list_910_moved = true;
    item.closest('li').remove();
    allergens_list_910_save_sortable();
}

function allergens_list_910_cancel() {
    jQuery('#messageBox').hide();
    jQuery('#messageBox').remove();
    allergens_list_910_hideOverlay();
}

function allergens_list_910_show_message_box(html) {
    jQuery('body').append( html );
    var t = Math.floor((jQuery(window).height() - jQuery('#messageBox').height()) / 2);
    var l = Math.floor((jQuery(window).width() - jQuery('#messageBox').width()) / 2);
    jQuery('#messageBox').css('top', t + 'px');
    jQuery('#messageBox').css('left', l + 'px');
    jQuery('#messageBox').fadeIn();
    jQuery('#allergen_title').focus();
}

function allergens_list_910_add_new() {
    allergens_list_910_showOverlay();
    var html = allergens_list_910_init_box('', '', '');
    allergens_list_910_show_message_box(html);
}

function allergens_list_910_showOverlay() {
    var over = '<div id="overlay" class="overlay"></div>';
    jQuery('body').prepend(over);
    jQuery('#overlay').width( jQuery(window).width() );
    jQuery('#overlay').height( jQuery(window).height() );
    jQuery('#overlay').fadeIn(200);
}

function allergens_list_910_hideOverlay() {
    jQuery('#overlay').fadeOut(200);
    setTimeout(function() {
        jQuery('#overlay').remove();
    }, 250);    
}
