<?php

    function allergens_list_910_data_tab( $product_data_tabs ) {
        $product_data_tabs['allergenek-tab'] = array(
            'label' => __( 'Allergens', 'allergens-list' ),
            'target' => 'allergens_list_910_product_data',
        );
        return $product_data_tabs;
    }
    add_filter( 'woocommerce_product_data_tabs', 'allergens_list_910_data_tab' , 99 , 1 );

    function allergens_list_910_custom_icon() {
        ?>
        <style>
        #woocommerce-product-data ul.wc-tabs li.allergenek-tab_options a:before { font-family: WooCommerce; content: '\e010'; }
        </style>
        <?php 
    }
    add_action( 'admin_head', 'allergens_list_910_custom_icon' );
    
    function allergens_list_910_data_fields() {
        global $post;
        
        ?>
        <!-- id below must match target registered in above add_my_custom_product_data_tab function -->
        <div id="allergens_list_910_product_data" class="panel woocommerce_options_panel">
        <?php
            $data = allergens_list_910_get_options();
            $allergens = get_post_meta( $post->ID, 'allergens_list', true);
            if (empty($allergens)) {
                $allergens = array();
            }
            foreach ($data as $key => $item) : 
            
                $checked = '';
                if (in_array($key, $allergens)) {
                    $checked = 'checked="checked"';
                }
                ?>
                <div class="allergen-field" style="display: inline-block;float:left;margin-top:12px;margin-left:12px;border: 1px solid #ccc;padding: 6px 12px;border-radius:6px;">
                    <input type="checkbox" class="checkbox" style="" name="<?php echo $key;?>_allergen" id="<?php echo $key;?>_allergen" value="1" <?php echo $checked;?> />
                    <span class="description">
                        <img src="<?php echo $item['icon'];?>" style="max-height: 24px;display: table-cell;vertical-align: middle;" />&nbsp;
                        <?php echo $item['title'];?>
                    </span>
                </div>
        <?php endforeach; ?>
        </div>
        <?php
    }
    add_action( 'woocommerce_product_data_panels', 'allergens_list_910_data_fields' );

    function allergens_list_910_save_allergen_variables( $post_id ) {
        
        $data = allergens_list_910_get_options();
        
        $list = array();
        foreach ($data as $key => $item) {
            if (isset($_POST[$key.'_allergen'])) {
                $list[] = $key;
            }
        }
        update_post_meta( $post_id, 'allergens_list', $list);
    }
    add_action( 'woocommerce_process_product_meta', 'allergens_list_910_save_allergen_variables' );
